libdevice User's Guide (PDF) - v9.2.88 (older) - Last updated April 12, 2018 - Send Feedback

## 3.16. __nv_brev

Prototype:

    i32 @__nv_brev(i32 %x)

Description:

Reverses the bit order of the 32 bit unsigned integer `x`.

Returns:

Returns the bit-reversed value of `x`. i.e. bit N of the return value corresponds to bit 31-N of `x`.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes